import type { CSSProperties, SVGProps } from "react";
import * as svgList from "./assets";
interface IconBase extends SVGProps<SVGSVGElement> {
    style?: CSSProperties;
    name: keyof typeof svgList;
    rotate?: number;
    color?: string;
}
interface IconPropsWithSize extends IconBase {
    width: string;
    height: string;
}
interface IconPropsWithNoSize extends IconBase {
    width?: never;
    height?: never;
}
export declare const Icon: ({ name, rotate, width, height, color, style, ...svgProps }: IconPropsWithSize | IconPropsWithNoSize) => import("react/jsx-runtime").JSX.Element;
export {};
